org.eclipse.viatra.query.patternlanguage.typing

## Class PatternLanguageTypeRules

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.typing.PatternLanguageTypeRules

- Direct Known Subclasses:
    EMFPatternLanguageTypeRules

      public class PatternLanguageTypeRules
      extends java.lang.Object

  Since:
    1.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternLanguageTypeRules()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `_inferTypes(AggregatedValue reference, TypeInformation information)`
    `protected void` | `_inferTypes(BoolValue reference, TypeInformation information)`
    `protected void` | `_inferTypes(CheckConstraint constraint, TypeInformation information)`
    `protected void` | `_inferTypes(CompareConstraint constraint, TypeInformation information)`
    `protected void` | `_inferTypes(Expression reference, TypeInformation information)`
    `protected void` | `_inferTypes(FunctionEvaluationValue reference, TypeInformation information)`
    `protected void` | `_inferTypes(ListValue reference, TypeInformation information)`
    `protected void` | `_inferTypes(NumberValue reference, TypeInformation information)`
    `protected void` | `_inferTypes(PathExpressionConstraint constraint, TypeInformation information)`
    `protected void` | `_inferTypes(PatternCompositionConstraint constraint, TypeInformation information)`
    `protected void` | `_inferTypes(Pattern pattern, TypeInformation information)`
    `protected void` | `_inferTypes(StringValue reference, TypeInformation information)`
    `protected void` | `_inferTypes(TypeCheckConstraint constraint, TypeInformation information)`
    `protected void` | `_inferTypes(VariableValue reference, TypeInformation information)`
    `void` | `inferTypes(org.eclipse.emf.ecore.EObject reference, TypeInformation information)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternLanguageTypeRules

          public PatternLanguageTypeRules()

  - ### Method Detail

    - #### _inferTypes

          protected void _inferTypes(Pattern pattern,
                                     TypeInformation information)

    - #### _inferTypes

          protected void _inferTypes(CheckConstraint constraint,
                                     TypeInformation information)

    - #### _inferTypes

          protected void _inferTypes(CompareConstraint constraint,
                                     TypeInformation information)

    - #### _inferTypes

          protected void _inferTypes(PatternCompositionConstraint constraint,
                                     TypeInformation information)

    - #### _inferTypes

          protected void _inferTypes(TypeCheckConstraint constraint,
                                     TypeInformation information)

    - #### _inferTypes

          protected void _inferTypes(PathExpressionConstraint constraint,
                                     TypeInformation information)

    - #### _inferTypes

          protected void _inferTypes(AggregatedValue reference,
                                     TypeInformation information)

    - #### _inferTypes

          protected void _inferTypes(Expression reference,
                                     TypeInformation information)

    - #### _inferTypes

          protected void _inferTypes(FunctionEvaluationValue reference,
                                     TypeInformation information)

    - #### _inferTypes

          protected void _inferTypes(BoolValue reference,
                                     TypeInformation information)

    - #### _inferTypes

          protected void _inferTypes(NumberValue reference,
                                     TypeInformation information)

      Since:
        1.5

    - #### _inferTypes

          protected void _inferTypes(ListValue reference,
                                     TypeInformation information)

    - #### _inferTypes

          protected void _inferTypes(StringValue reference,
                                     TypeInformation information)

    - #### _inferTypes

          protected void _inferTypes(VariableValue reference,
                                     TypeInformation information)

    - #### inferTypes

          public void inferTypes(org.eclipse.emf.ecore.EObject reference,
                                 TypeInformation information)